\name{ASOR-package}
\alias{ASOR-package}
\alias{ASOR}
\docType{package}
\title{
Memory management by storing and accessing objects out of memory.
}
\description{
  These functions provide a convenient front-end to save(), load(),
  delayedAssign(), attach(), remove() and objects() which easily allows
  objects to be stored out of memory and retrieved as required.
}
\details{
\tabular{ll}{
Package: \tab ASOR\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2006-02-04\cr
License: \tab What license is it under?\cr
}
Use \code{Save} to store objects out of memory.

Use \code{Remove} to remove objects permanantly.

Use \code{Attach} to attached out of memory saved collections of objects
to the search path.

Use \code{Objects} to see what objects have been saved out of memory.
}
\author{
Bill Venables, based on an idea and code of David Brahm.

Maintainer: Bill Venables <Bill.Venables@CSIRO.au>
}
\references{
None
}
\keyword{ package }
\keyword{utilities}
\seealso{
Package \code{g.data} of David Brahm; Package \code{filehash} of Roger Peng.
}
\examples{
library(ASOR)
Attach() # attach existing object store
         # or create new one
obj1 <- 1
obj2 <- 2
Save(obj1, obj2)  # move both objects to store
Objects()         # find which objects in store
Attach(RLib2)     # attach a second store
Save(Objects(), lib = RLib2)
Remove(obj1, obj2) # permanently remove two from default
}
