\name{Attach}
\alias{Attach}
\alias{AttachData}
\alias{AttachUtils}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Attach data store}
\description{
Attach collection of objects saved out of memory to search path,
  or create a new, empty data store.
}
\usage{
Attach(lib = ".R_Store", lib.loc = getwd(), pos = 2, uniquely = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{lib}{library directory name}
  \item{lib.loc}{absolute path to library directory}
  \item{pos}{position number on search path where collection is to be attached}
  \item{uniquely}{Set to true if at most one copy of the collection is
    to be visible on the search path }
  \item{\dots}{Additional arguments used in debugging only.}
}
\details{
Logically a method for \code{attach} except for the fact that
\code{attach} is not a generic function. 
}
\value{
Used only for side effect.
}
\references{None}
\author{Bill Venables}
\note{\code{AttachData} and \code{AttachUtils} differ only in the
  default values for the first two arguments.  They are notionall to be
  used for centrel out of memory storage of large data objects and
  useful functions prior to enclosing them in a package, respectively.}
\seealso{Objects, Remove, Save}
\examples{
Alpha <- rnorm(1000000)
Beta <- rnorm(1000000)
Attach(lib = RandomData)
Save(Alpha, Beta, lib = RandomData)
detach(2)
Objects(lib = RandomData)
}
\keyword{utilities}% at least one, from doc/KEYWORDS

