\name{Objects}
\alias{Objects}
\alias{ObjectsData}
\alias{ObjectsUtils}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{List objects held out of memory}
\description{
These functions allow objects stored out of memory to be listed.  They
combine the action of \code{objects} with finding where on the search
path the collection is held.
}
\usage{
Objects(lib = ".R_Store", lib.loc = getwd())
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{lib}{Name of storage directory - may be quoted or unquoted}
  \item{lib.loc}{Full path to directory given in \code{lib}}
}
\details{
Used to list objects held out of memory.
}
\value{
A character string vector of object names.
}
\references{none}
\author{Bill Venables}
\note{Will attach a default collection of objects if none already
  attached.

  Used to list names of objects, but also to locate the collection on
  the search path.

  \code{ObjectsData} and \code{ObjectsUtils} differ only in the default
  values of the \code{lib} and \code{lib.loc} arguments.
}
\seealso{objects, ls}
\examples{
obj1 <- rnorm(1000)
obj2 <- rt(1000, 5)
Save(obj1, obj2)
Objects()
objects()
}
\keyword{utilities}% at least one, from doc/KEYWORDS

