\name{Remove}
\alias{Remove}
\alias{RemoveData}
\alias{RemoveUtils}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Reove objects stored out of memory}
\description{
Removes objects held out of memory permanently by unlinking the files
used for the stored form of the object.
}
\usage{
Remove(..., lib = ".R_Store", lib.loc = getwd())
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{\dots}{objects to be removed, either as names or character strings}
  \item{lib}{directory name for out of memory collection }
  \item{lib.loc}{full path name for directory \code{lib} }
}
\details{
Objects stored out of memory are held as stored data files.  These
functions locate and unlink the files, thus removing the objects
permanently.
}
\value{
Used only for side effect of removing objects.
}
\references{none }
\author{Bill Venables }
\note{The companion function \code{RemoveData} and \code{RemoveUtils}
  differ only in the default values of the \code{lib} and \code{lib.loc}
  arguments.
}
\seealso{rm, remove }
\examples{
Alpha <- 1
Beta <- 2
Delta <- 4
Save(Alpha, Beta, Delta)
Remove(Alpha)  # remove two objects permanently
Remove(Objects())  # Clear out of memory store entirely and permanently!
}
\keyword{utilities}% at least one, from doc/KEYWORDS

