\name{Save}
\alias{Save}
\alias{Store}
\alias{SaveData}
\alias{StoreData}
\alias{SaveUtils}
\alias{StoreUtils}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Move objects out of memory into storage out of memory as
  save files }
\description{
Stores copies of objects in memory (or visible on search path) as
\code{save} files in a directory.  Usually (but nor necessarily) the
copy in memory is removed.  The object is still visible as a
\code{delayedAssign} object and automatically re-enters memory as needed
by loading.
}
\usage{
Save(..., lib = ".R_Store", lib.loc = getwd(), remove = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{\dots}{objects to be saved either as names or as character strings.}
  \item{lib}{Name of directory to hold out of memory object files }
  \item{lib.loc}{full path name to directory holding \code{lib} as a
    character string }
  \item{remove}{Is the object to be removed from central memory?
    \code{TRUE} if so, else \code{FALSE} and the object remains in
    memory as well as in out of memory storage.}
}
\details{
A convenient front end to \code{save} and \code{delayedAssign}.  Will
attach the directory onto the search path if not already thee, and
create the directory if not already in existence.
}
\value{
Used only for side effects.
}
\references{ ~put references to the literature/web site here ~ }
\author{ ~~who you are~~ }
\note{ \code{SaveData} and \code{SaveUtils} differ only in the default
  values of their \code{lib} and \code{lib.loc} arguments and would
  normally be used for central storage of data and function objects
  respectively.

  The \code{Store} forms are completely equivalent to their \code{Save}
  counterparts and are included for convenience only.  
}
\seealso{delayedAssign, save, attach, remove, rm }
\examples{
Alpha <- 1
Beta <- 2
Save(Alpha, Beta)  # creates and attaces directory as needed
Save(objects(all = TRUE), remove = FALSE)  # move copies to out of memory storage.
}
\keyword{utilities}% at least one, from doc/KEYWORDS

